ru.bitel.bgbilling.modules.bill.common.bean

## Class InvoiceDocument

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument
    - - ru.bitel.bgbilling.modules.bill.common.bean.InvoiceDocument

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class InvoiceDocument
      extends AbstractBillDocument

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvoiceDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getUnloadStatus()`
    `boolean` | `isShowReady()`
    `void` | `setShowReady(boolean showReady)`
    `void` | `setUnloadStatus(int unloadStatus)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

      `getAddress, getContractComment, getContractId, getContractTitle, getCorrection, getDateCreated, getDocument, getDocumentData, getDocumentSpecId, getDocumentSpecTitle, getMonth, getNumber, getNumberFormatted, getNumberInMonth, getNumberInYear, getNumerationPoolId, getPositionList, getRecipient, getTotal, getUserId, getYear, setAddress, setContractComment, setContractId, setContractTitle, setCorrection, setDateCreated, setDocument, setDocumentData, setDocumentSpecId, setDocumentSpecTitle, setMonth, setNumber, setNumberFormatted, setNumberInMonth, setNumberInYear, setNumerationPoolId, setPositionList, setRecipient, setTotal, setUserId, setYear`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvoiceDocument

          public InvoiceDocument()

  - ### Method Detail

    - #### isShowReady

          public boolean isShowReady()

    - #### setShowReady

          public void setShowReady(boolean showReady)

    - #### getUnloadStatus

          public int getUnloadStatus()

    - #### setUnloadStatus

          public void setUnloadStatus(int unloadStatus)